## ros-one-imu-complementary-filter 1.2.6-4noble.20251023.0856

=== debian/changelog ===
ros-one-imu-complementary-filter (1.2.6-4noble.20251023.0856) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Thu, 23 Oct 2025 08:56:31 +0000

ros-one-imu-complementary-filter (1.2.6-0noble) noble; urgency=high

  * complementary filter launch: Remove outdated phidgets_imu nodelet
    The phidgets_imu package was renamed to phidgets_spatial. To avoid
    adding a dependency on phidgets_spatial, this commit removes the include
    of that nodelet altogether.
    If launching the phidgets driver is desired, it should be done like in
    this launch file:
    https://github.com/ros-drivers/phidgets_drivers/blob/20512def27a74666aeb2eb2d31ff2faf45062c35/phidgets_spatial/launch/spatial.launch
    Fixes #186 <https://github.com/CCNYRoboticsLab/imu_tools/issues/186>.
  * add complementary_filter_nodelet (#181 <https://github.com/CCNYRoboticsLab/imu_tools/issues/181>)
  * Contributors: Borong Yuan, Martin Günther

 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Fri, 12 Jan 2024 00:00:00 -0000

ros-one-imu-complementary-filter (1.2.5-0noble) noble; urgency=high

  * Added ability to reset IMU filters when ROS time jumps back. (#165 <https://github.com/CCNYRoboticsLab/imu_tools/issues/165>)
  * Contributors: Martin Pecka

 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Fri, 19 Aug 2022 00:00:00 -0000

ros-one-imu-complementary-filter (1.2.4-0noble) noble; urgency=high

  * Manually reformat licenses + defines
  * Reformat everything using clang-format
  * Fix package dependencies
  * Fix trailing whitespace
  * Contributors: Martin Günther

 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Tue, 12 Apr 2022 00:00:00 -0000

ros-one-imu-complementary-filter (1.2.3-0noble) noble; urgency=high

  * Fix "non standard content" warning in imu_tools metapackage
    Fixes #135 <https://github.com/ccny-ros-pkg/imu_tools/issues/135>.
  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Fri, 09 Apr 2021 00:00:00 -0000

ros-one-imu-complementary-filter (1.2.2-0noble) noble; urgency=high

  * fix install path & boost linkage issues
  * Contributors: Martin Günther, Sean Yen

 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Mon, 25 May 2020 00:00:00 -0000

ros-one-imu-complementary-filter (1.2.1-0noble) noble; urgency=high

  * Remove junk xml (#93 <https://github.com/ccny-ros-pkg/imu_tools/issues/93>)
  * Fix C++14 builds (#89 <https://github.com/ccny-ros-pkg/imu_tools/issues/89>)
  * Contributors: David V. Lu!!, Paul Bovbel

 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Mon, 06 May 2019 00:00:00 -0000

ros-one-imu-complementary-filter (1.2.0-0noble) noble; urgency=high

  * Add std dev parameter to orientation estimate from filter (#85 <https://github.com/ccny-ros-pkg/imu_tools/issues/85>)
    Similar to #41 <https://github.com/ccny-ros-pkg/imu_tools/issues/41>, but not using dynamic_reconfigure as not implemented for complementary filter
  * Contributors: Stefan Kohlbrecher

 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Fri, 25 May 2018 00:00:00 -0000

ros-one-imu-complementary-filter (1.1.5-0noble) noble; urgency=high



 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Wed, 24 May 2017 00:00:00 -0000

ros-one-imu-complementary-filter (1.1.4-0noble) noble; urgency=high



 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Mon, 22 May 2017 00:00:00 -0000

ros-one-imu-complementary-filter (1.1.3-0noble) noble; urgency=high

  * complementary_filter: move const initializations out of header
    Initialization of static consts other than int (here: float) inside the
    class declaration is not permitted in C++. It works in gcc (due to a
    non-standard extension), but throws an error in C++11.
  * Contributors: Martin Guenther

 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Fri, 10 Mar 2017 00:00:00 -0000

ros-one-imu-complementary-filter (1.1.2-0noble) noble; urgency=high



 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Wed, 07 Sep 2016 00:00:00 -0000

ros-one-imu-complementary-filter (1.1.1-0noble) noble; urgency=high



 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Wed, 07 Sep 2016 00:00:00 -0000

ros-one-imu-complementary-filter (1.1.0-0noble) noble; urgency=high



 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Mon, 25 Apr 2016 00:00:00 -0000

ros-one-imu-complementary-filter (1.0.11-0noble) noble; urgency=high



 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Fri, 22 Apr 2016 00:00:00 -0000

ros-one-imu-complementary-filter (1.0.10-0noble) noble; urgency=high

  * Remove Eigen dependency
    Eigen is not actually used anywhere. Thanks @asimay!
  * Removed main function from shared library
  * Contributors: Martin Guenther, Matthias Nieuwenhuisen

 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Fri, 22 Apr 2016 00:00:00 -0000

ros-one-imu-complementary-filter (1.0.9-0noble) noble; urgency=high

  * complementary: Add Eigen dependency
    Fixes #54 <https://github.com/ccny-ros-pkg/imu_tools/issues/54>.
  * Contributors: Martin Günther

 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Fri, 16 Oct 2015 00:00:00 -0000

ros-one-imu-complementary-filter (1.0.8-0noble) noble; urgency=high



 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Wed, 07 Oct 2015 00:00:00 -0000

ros-one-imu-complementary-filter (1.0.7-0noble) noble; urgency=high

  * Allow remapping imu namespace
  * Publish RPY as Vector3Stamped
  * Add params: constant_dt, publish_tf, reverse_tf, publish_debug_topics
  * Use MagneticField instead of Vector3
  * Contributors: Martin Günther

 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Wed, 07 Oct 2015 00:00:00 -0000

ros-one-imu-complementary-filter (1.0.6-0noble) noble; urgency=high

  * Add new package: imu_complementary_filter
  * Contributors: Roberto G. Valentini, Martin Günther, Michael Görner


