## ros-one-imu-complementary-filter 1.2.6-4noble.20251208.0842

=== debian/changelog ===
ros-one-imu-complementary-filter (1.2.6-4noble.20251208.0842) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Roberto G. Valenti <robertogl.valenti@gmail.com>  Mon, 08 Dec 2025 08:42:59 +0000
